#!/usr/bin/perl

require "config.pl";

if ($ENV{'REQUEST_METHOD'} eq "GET") {
 $buffer = $ENV{'QUERY_STRING'};
} 
elsif ($ENV{'REQUEST_METHOD'} eq "POST") {
 read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
}
@pairs = split(/&/, $buffer);
foreach $pair (@pairs) {
 ($name, $value) = split(/=/, $pair);
 $value =~ tr/+/ /;
 $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
 $value =~ s/<([^>]|\n)*>//g;
 $value =~ s/<!--(.|\n)*-->//g;
 #    :
 $value =~ s/^\s+//;
 $value =~ s/\s+$//;
 $FORM{$name} = $value;
}

print "Content-type: text/html\n\n";

$start = $FORM{'start'};
if ($start eq "") { $start = 1; }

&html_start;
&show;
&html_end;
exit;

sub table1 ($fio, $dis, $spec, $sovet, $addr, $aref, $date) {
 &tab_start;
 print "<center><b>$fio</b>\n";
 print "<br><b>$dis</b>\n";
 print "<br>$spec\n";
 print "<br>$sovet\n";
 print "<br>$addr\n";
 if ($aref ne "") { print "<br>: <a href=\"$url/$aref\">$url/$aref</a>\n"; }
 if ($date ne "") { print "<br><i> : $date</i>\n"; }
 print "</center>\n";
 &tab_end;
}

sub show {
 open(DATA, "$basename");
 @data = <DATA>;
 close(DATA);
 $lines=0;
 $cnt = 0;
 if (@data) {
  $lines = $#data+1;
  $end = $start + $out;
  if ($end > $lines+1) { $end = $lines+1; }
  for ($cnt = $start; $cnt < $end; $cnt++) {
   chomp $data[$cnt-1];
   ($fio, $dis, $spec, $sovet, $addr, $aref, $date) = split(/\t/, $data[$cnt-1]);
   &table1 ($fio, $dis, $spec, $sovet, $addr, $aref, $date);
  }

  print "<center>";
  for ($i=0; $i<$lines; $i+=$out) {
   $down=$i+1;
   $up=$i+$out;
   if ($up>$lines) { $up=$lines; }
   if ($start != $down) {
    print "[<a href=\"$cginame?start=$down\">";
    if ($down < $up) { print "$down-$up"; }
    else { print "$down"; }
    print "</a>]";
   }
   else {
    if ($down<$up) { print "[$down-$up]"; }
    else { print "[$down]"; }
   }
  }
  print "<br><i>  : $lines</i>\n";
  print "</center>";
 } 
 else {
  &tab_start;
  print "<p>      .</p>";
  &tab_end;
 }
}

